
Redmine - Defect #15307

HTML 5 deprecates width and align attributes

2013-11-08 14:43 - Ksenia Altbregen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version:  

Description

Asserted fixes for HTML 5. Part 2.

<align> tag is obsoleted. It is recommended to use CSS instead.

I simply changed

<tag align="left|right|center"></tag>

into

<tag style="text-align: left|right|center;"></tag>

everywhere I've found this tag.

Related issues:

Related to Redmine - Defect #19578: Issues reports table header overlaping Closed

Associated revisions

Revision 12265 - 2013-11-10 14:24 - Jean-Philippe Lang

Adds a CSS class for reorder links (#15307).

Revision 12268 - 2013-11-11 22:01 - Jean-Philippe Lang

Removed deprecated align and width html attributes (#15307).

Revision 12272 - 2013-11-11 22:46 - Jean-Philippe Lang

Fixed repository browser alignment (#15307).

Revision 12282 - 2013-11-16 08:48 - Jean-Philippe Lang

Merged r12265, r12268, r12272 (#15307).

History

#1 - 2013-11-08 16:57 - Ksenia Altbregen

Related to Defect #5475.

Related to Defect #15191.

#2 - 2013-11-11 22:02 - Jean-Philippe Lang

- Subject changed from HTML 5 validation failures to HTML 5 deprecates width and align attributes

- Category set to Code cleanup/refactoring

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

I've refactored the css classes a bit to limit the use of hard-coded styles in r12268, thanks for pointing this out.
https://www.redmine.org/issues/5475
https://www.redmine.org/issues/15191
https://www.redmine.org/projects/redmine/repository/svn/revisions/12268


#3 - 2013-11-16 08:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#4 - 2017-11-28 04:35 - Go MAEDA

- Related to Defect #19578: Issues reports table header overlaping added

Files

obsoleted_tag_align.diff 30.3 KB 2013-11-08 Ksenia Altbregen
